#pragma once
#ifndef __CRES_H__
#define __CRES_H__

#include "framework.h"

/// <summary>
/// 結果を扱うクラス
/// </summary>
class CRes {
public:
	CRes();	// コンストラクタ
	virtual ~CRes();	// デストラクタ
	
protected:
	//===========
	// メンバ
	//===========
	bool result;	// 結果。成功：true, 失敗：false など
	CString msg;	// エラーメッセージなど

public:
	//===========
	// メソッド
	//===========
	void SetResult(bool res);
	void SetMsg(const char* msg);
	bool GetResult();
	CString GetMsg();

	//================
	// staticメソッド
	//================
	static CRes CreateOk();
	static CRes CreateError(const char* msg);
};

#endif

